#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.2.5
%define		qtver		5.15.2
%define		kpname		plasma-browser-integration

Summary:	KDE Plasma Browser Integration
Name:		kp6-%{kpname}
Version:	6.2.5
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	67c4ef291f1728261e6660c915d2a1d6
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Widgets-devel
BuildRequires:	cmake >= 3.16.0
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules
BuildRequires:	kp6-plasma-activities-devel
BuildRequires:	kf6-kauth-devel
BuildRequires:	kf6-kcodecs-devel
BuildRequires:	kf6-kcompletion-devel
BuildRequires:	kf6-kconfigwidgets-devel
BuildRequires:	kf6-kcoreaddons-devel
BuildRequires:	kf6-kcrash-devel
BuildRequires:	kf6-kdbusaddons-devel
BuildRequires:	kf6-kfilemetadata-devel
BuildRequires:	kf6-ki18n-devel
BuildRequires:	kf6-kio-devel
BuildRequires:	kf6-kitemviews-devel
BuildRequires:	kf6-kjobwidgets-devel
BuildRequires:	kf6-knotifications-devel
BuildRequires:	kf6-kpackage-devel
BuildRequires:	kf6-krunner-devel
BuildRequires:	kf6-kservice-devel
BuildRequires:	kf6-kwidgetsaddons-devel
BuildRequires:	kf6-kwindowsystem-devel
BuildRequires:	kf6-kxmlgui-devel
BuildRequires:	kf6-purpose-devel
BuildRequires:	kf6-solid-devel
BuildRequires:	kp6-plasma-workspace-devel >= %{kdeplasmaver}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
KDE Plasma Browser Integration.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%dir %{_sysconfdir}/chromium
%dir %{_sysconfdir}/chromium/native-messaging-hosts
%{_sysconfdir}/chromium/native-messaging-hosts/org.kde.plasma.browser_integration.json
%dir %{_sysconfdir}/opt/chrome
%dir %{_sysconfdir}/opt/chrome/native-messaging-hosts
%{_sysconfdir}/opt/chrome/native-messaging-hosts/org.kde.plasma.browser_integration.json
%attr(755,root,root) %{_bindir}/plasma-browser-integration-host
%dir %{_prefix}/lib/mozilla
%dir %{_prefix}/lib/mozilla/native-messaging-hosts
%{_prefix}/lib/mozilla/native-messaging-hosts/org.kde.plasma.browser_integration.json
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/browserintegrationreminder.so
%dir %{_sysconfdir}/opt/edge
%dir %{_sysconfdir}/opt/edge/native-messaging-hosts
%{_sysconfdir}/opt/edge/native-messaging-hosts/org.kde.plasma.browser_integration.json
%{_datadir}/krunner/dbusplugins/plasma-runner-browserhistory.desktop
%{_datadir}/krunner/dbusplugins/plasma-runner-browsertabs.desktop
%{_desktopdir}/org.kde.plasma.browser_integration.host.desktop
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-plasma-browser-integration.git;a=log;h=auto/th/kp6-plasma-browser-integration-6.2.5-1

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3de39d1
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1faa414
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 626a6c9
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b7cea53
- updated to 6.2.2

* Wed Oct 16 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 289de04
- relup

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 70ee122
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c494671
- updated to 6.2.0

* Sat Sep 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0e3b32a
- relup

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 526ccdb
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3a30cac
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a81187f
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f335707
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 10b6cdd
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7e87fcd
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 68acab1
- updated to 6.0.5

* Wed Apr 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 17daf3c
- updated to 6.0.4

* Wed Mar 27 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a3fdb7f
- updated to 6.0.3

* Wed Mar 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 208dfd9
- updated to 6.0.2

* Thu Mar 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 01dd565
- updated to 6.0.1

* Sun Mar 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6844314
- updated to 6.0.0

